Subject: Re: Why is gre0 auto-created, and can we fix it?

From: Stephen Hemminger <[email-masked]>
Date: Sun, 22 Jan 2012 11:43:25 -0800

On Sun, 22 Jan 2012 14:14:47 -0500 (EST)
David Miller <[email-masked]> wrote:

> From: Ben Greear <[email-masked]>
> Date: Sun, 22 Jan 2012 08:48:53 -0800
> 
> > Just to make sure I understand you: You dislike any possible method
> > of changing the behaviour, not just the ones I listed?
> 
> That's correct.
> 
> And please don't create dependencies on such a change in behavior in
> distributions, otherwise you obliterate the entire reason why I don't
> want the behavior changed.
> 
> There is no reason to change this, it's been like this for more than
> 10 years and no alien planet has exploded as a result even after all
> of this time.
> 
> Just leave it be, I beg you.

Also, the iproute tunnel tools rely on the module autoload
of gre0.